
Redmine - Defect #2342

/account/show/<id> fails on PostgreSQL 8.1

2008-12-15 11:56 - Vinko Vrsalovic

Status: Closed Start date: 2008-12-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

ActiveRecord::StatementInvalid in AccountController#show

PGError: ERROR:  for SELECT DISTINCT, ORDER BY expressions must appear in select list

: SELECT DISTINCT "journals".id FROM "journals"  LEFT OUTER JOIN "issues" ON "issues".id = "journals".journalized_id  LEFT

OUTER JOIN "projects" ON "projects".id = "issues".project_id  LEFT OUTER JOIN "journal_details" ON journal_details.journal_id =

journals.id     WHERE (journals.journalized_type = 'Issue' AND (journal_details.prop_key = 'status_id' OR journals.notes <> '')) AND

(1=1 AND (journals.user_id = 3) AND (((projects.status=1 AND EXISTS (SELECT em.id FROM enabled_modules em WHERE

em.name='issue_tracking' AND em.project_id=projects.id)) AND (1=0 OR projects.is_public = 't' OR projects.id IN (1,3,4,2,5,6))))) 

ORDER BY journals.created_on DESC LIMIT 10

RAILS_ROOT: /home/redmine

redmine=> select version();

version

-----------------------------------------------------------------------------------------------------------------------

PostgreSQL 8.1.10 on i486-pc-linux-gnu, compiled by GCC cc (GCC) 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)

(1 row)

redmine@mithril:~$ rails --version

Rails 2.1.2

redmine@mithril:~$ ruby --version

ruby 1.8.6 (2007-09-24 patchlevel 111) [i686-linux]

History

#1 - 2008-12-15 18:11 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

I don't know your Redmine version but it's fixed by r2083.

#2 - 2008-12-15 19:19 - Vinko Vrsalovic

Confirmed. svn up fixed it.

#3 - 2008-12-15 21:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.
